Altibase.jdbc.driver.spec4

## Class Altibase42XALogicalConnection

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseLogicalConnection
  - - Altibase.jdbc.driver.AltibaseXALogicalConnection
    - - Altibase.jdbc.driver.spec4.Altibase42XALogicalConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

    public class Altibase42XALogicalConnection
    extends AltibaseXALogicalConnection

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseLogicalConnection

`mClosed, mPhysicalConnection, mPooledConnection`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`Altibase42XALogicalConnection(AltibaseConnection aPhysicalConnection, AltibaseXAConnection aParent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abort(java.util.concurrent.Executor aExecutor)`
`java.sql.Array` `createArrayOf(java.lang.String aTypeName, java.lang.Object[] aElements)`
`java.sql.Blob` `createBlob()`
`java.sql.Clob` `createClob()`
`java.sql.NClob` `createNClob()`
`java.sql.SQLXML` `createSQLXML()`
`java.sql.Struct` `createStruct(java.lang.String aTypeName, java.lang.Object[] aAttributes)`
`java.util.Properties` `getClientInfo()`
`java.lang.String` `getClientInfo(java.lang.String aName)`
`int` `getNetworkTimeout()`
`java.lang.String` `getSchema()`
`boolean` `isValid(int aTimeout)`
`boolean` `isWrapperFor(java.lang.Class<?> aIface)`
`void` `setClientInfo(java.util.Properties aProperties)`
`void` `setClientInfo(java.lang.String aName, java.lang.String aValue)`
`void` `setNetworkTimeout(java.util.concurrent.Executor aExecutor, int aMilliseconds)`
`void` `setSchema(java.lang.String aSchema)`
`<T> T` `unwrap(java.lang.Class<T> aIface)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseLogicalConnection

`clearWarnings, close, commit, createStatement, createStatement, createStatement, getAutoCommit, getCatalog, getHoldability, getMetaData, getSessionId, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Altibase42XALogicalConnection

    public Altibase42XALogicalConnection(AltibaseConnection aPhysicalConnection,
                                         AltibaseXAConnection aParent)

### Method Detail

#### createClob

    public java.sql.Clob createClob()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createBlob

    public java.sql.Blob createBlob()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createNClob

    public java.sql.NClob createNClob()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createSQLXML

    public java.sql.SQLXML createSQLXML()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isValid

    public boolean isValid(int aTimeout)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setClientInfo

    public void setClientInfo(java.lang.String aName,
                              java.lang.String aValue)
                       throws java.sql.SQLClientInfoException

Throws:
  `java.sql.SQLClientInfoException`

#### setClientInfo

    public void setClientInfo(java.util.Properties aProperties)
                       throws java.sql.SQLClientInfoException

Throws:
  `java.sql.SQLClientInfoException`

#### getClientInfo

    public java.lang.String getClientInfo(java.lang.String aName)
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getClientInfo

    public java.util.Properties getClientInfo()
                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createArrayOf

    public java.sql.Array createArrayOf(java.lang.String aTypeName,
                                        java.lang.Object[] aElements)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createStruct

    public java.sql.Struct createStruct(java.lang.String aTypeName,
                                        java.lang.Object[] aAttributes)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setSchema

    public void setSchema(java.lang.String aSchema)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getSchema

    public java.lang.String getSchema()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### abort

    public void abort(java.util.concurrent.Executor aExecutor)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNetworkTimeout

    public void setNetworkTimeout(java.util.concurrent.Executor aExecutor,
                                  int aMilliseconds)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNetworkTimeout

    public int getNetworkTimeout()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> aIface)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> aIface)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`